Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util.timeout
Class TimeoutFactory

    java.lang.Object
      |
      +--org.jboss.util.timeout.TimeoutFactory

public class TimeoutFactory
extends java.lang.Object

The timeout factory. This is written with performance in mind. In case of `n` active timeouts, creating, cancelling and firing timeouts all operate in time `O(log(n))`. If a timeout is cancelled, the timeout is not discarded. Instead the timeout is saved to be reused for another timeout. This means that if no timeouts are fired, this class will eventually operate without allocating anything on the heap.

Version:
  $Revision: 1.5.6.1 $
Author:
  Ole Husgaard

Method Summary
`static Timeout` | `createTimeout(long time, TimeoutTarget target)` Schedule a new timeout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTimeout

    public static Timeout createTimeout(long time,
                                        TimeoutTarget target)

  Schedule a new timeout.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.